--- title: "Edit method response description" slug: "apigateway-method-patchresponses" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-method-patchresponses" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit method response description Available in Classic and VPC Edit the description for a response status code for a created method. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code} | ### Request headers For For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | ID of product the API belongs to - 0-10 characters - See [Get product list](/docs/en/apigateway-product-getproductlist). | | `api-id` | String | Required | ID of the API whose response description you want to edit - 1-10 characters - See [Get API](/docs/en/apigateway-api-apis). | | `resource-id` | String | Required | ID of the target resource in the API - 1-10 characters - See [Get resource list](/docs/en/apigateway-resource-getresourcelist). | | `method-name` | String | Required | Target method type - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | | `status-code` | Integer | Required | Response status code - See [Get method response](/docs/en/apigateway-method-getresponses). | ### Request syntax The request syntax is as follows: ``` { "responseDescription" : "responseDescription" } ``` ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `responseDescription` | String | Required | Description of the response - 0-2000 characters | ### Request example The request example is as follows: ``` curl --location --request PATCH 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/400' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "responseDescription" : "Wrong request. Check parameters." }' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "methodResponseDto" : { "tenantId" : "tenantId", "apiId" : "apiId", "resourceId" : "resourceId", "methodCode" : "methodCode", "statusCode" : 0, "responseDescription" : "responseDescription", "modifier" : "modifier" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "methodResponseDto": { "tenantId": "********65ec41039ce6668c2058b8a9", "apiId": "cvcohvd2xj", "resourceId": "tf73xuex0v", "methodCode": "0001", "statusCode": 400, "responseDescription": "Wrong request. Check parameters.", "modifier": "********-7fcd-11ec-a6ba-246e9659184c" } } ```